> ## Name

> cgGetParameterProgram - get a parameter's parent program

> ## Synopsis

>     #include <Cg/cg.h>

>     CGprogram cgGetParameterProgram( CGparameter param );

> ## Parameters

> param
>   The parameter.

> ## Return Values

> Returns a CGprogram handle to the parent program.

> Returns NULL if the parameter is not a child of a program or an error occurs.

> ## Description

> cgGetParameterProgram allows the application to retrieve a handle to the program to which a given parameter belongs.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetParameterProgram was introduced in Cg 1.1.

> ## See Also

> cgCreateProgram, cgGetParameterEffect